<?php
/*
   This file is part of CoDev-Timetracking.

   CoDev-Timetracking is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   CoDev-Timetracking is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with CoDev-Timetracking.  If not, see <http://www.gnu.org/licenses/>.
*/

class ProjectVersion extends IssueSelection {

   private $projectId;
   private $versionDate; // mantis_project_version_table.date_order

   public function __construct($projectId, $version) {
      parent::__construct($version);
      $this->projectId = $projectId;
   }

   public function getVersionDate() {
      if (NULL == $this->versionDate) {
         $sql = AdodbWrapper::getInstance();
         $query = "SELECT date_order ".
                  "FROM {project_version} ".
                  "WHERE project_id = ".$sql->db_param().
                  " AND version = ".$sql->db_param();

         $result = $sql->sql_query($query, array($this->projectId, $this->name));

         $this->versionDate = (0 != $sql->getNumRows($result)) ? $sql->sql_result($result, 0) : "(none)";

         if ($this->versionDate <= 1) { $this->versionDate = "(none)"; }
      }

      return $this->versionDate;
   }

}


